#include <stdio.h>
#include <stdlib.h>

#define LEN 12

void swap_even_odd(int *, int);

int
main()
{
	int *ptr = NULL;
	ptr = (int *)(malloc(LEN*sizeof(int)));
	for(int i = 0; i<LEN; i++)
		ptr[i] = i;

	for(int i = 0; i<LEN; i++)
		printf("%d ", ptr[i]);
	putchar('\n');

	swap_even_odd(ptr, LEN);

	for(int i = 0; i<LEN; i++)
		printf("%d ", ptr[i]);
	putchar('\n');

	free(ptr);
	return 0;
}


void 
swap_even_odd(int *array, int len)
{
	int temp;
	for(int i = 1; i<len; i+=2)
	{
		temp = array[i-1];
		array[i-1] = array[i];
		array[i] = temp;
	}
}
